summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author LukenShiro <lukenshiro@ngi.it>2011-12-20 23:00:26 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-12-20 23:00:26 -0600
commitc36593f743727071b5334fdd643f62e29e445dcf (patch)
tree6f78b5eb9684fb96ee557d860be6a810706ff243 /libraries
parent68720e02867a24a30153ae93145831e825b77fd3 (diff)
downloadslackbuilds-c36593f743727071b5334fdd643f62e29e445dcf.tar.gz
slackbuilds-c36593f743727071b5334fdd643f62e29e445dcf.tar.xz
libraries/fltk13: Added (Fast Light Tool Kit 1.3.x series)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/fltk13/README18
-rw-r--r--libraries/fltk13/fltk13.SlackBuild144
-rw-r--r--libraries/fltk13/fltk13.info10
-rw-r--r--libraries/fltk13/slack-desc19
4 files changed, 191 insertions, 0 deletions
diff --git a/libraries/fltk13/README b/libraries/fltk13/README
new file mode 100644
index 0000000000..ddc5a621f9
--- /dev/null
+++ b/libraries/fltk13/README
@@ -0,0 +1,18 @@
+The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a a cross-platform
+C++ GUI toolkit for UNIX(r)/Linux(r) (X11), Microsoft(r) Windows(r), and
+MacOS(r) X. FLTK provides modern GUI functionality without the bloat and
+supports 3D graphics via OpenGL(r) and its built-in GLUT emulation. It was
+originally developed by Mr. Bill Spitzak and is currently maintained by a
+small group of developers across the world with a central repository in the US.
+
+This is 1.3.x (in development) series.
+
+CAVEATS:
+1) fltk13 can be installed alongside fltk (1.1.x), but in order to build it,
+you need to remove fltk first (with removepkg); you can then reinstall it
+afterwards.
+2) In order to avoid conflicting files and some other problems, the homonyms
+are renamed, and library and include directories are moved to nonstandard
+locations (<libdir>/fltk13/ and /usr/include/fltk13/FL).
+
+If you want cairo support, you need to pass CAIRO=1 to the build script.
diff --git a/libraries/fltk13/fltk13.SlackBuild b/libraries/fltk13/fltk13.SlackBuild
new file mode 100644
index 0000000000..e1644d770c
--- /dev/null
+++ b/libraries/fltk13/fltk13.SlackBuild
@@ -0,0 +1,144 @@
+#!/bin/sh
+
+# Slackware build script for fltk13
+
+# Copyright 2006-2011 LukenShiro, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=fltk13
+VERSION=1.3.x_r9204
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=fltk
+SRCVERSION=$( echo $VERSION | tr _ - )
+DOCFILES="ANNOUNCEMENT CHANGES COPYING CREDITS README"
+# By default Cairo library support is disabled
+CAIRO=${CAIRO:-0}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$SRCVERSION.tar.bz2
+cd $SRCNAM-$SRCVERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix linking when --libdir=/usr/lib64
+sed -i \
+ -e '/RANLIB/s:$(libdir)/\(.*LIBNAME)\):$(libdir)/`basename \1`:g' \
+ src/Makefile || exit
+
+# Cairo library support
+case "$CAIRO" in
+ 0) CAIRO_FLAG="dis" ;;
+ *) CAIRO_FLAG="en" ;;
+esac
+
+# --docdir seems to be ignored here
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX}/fltk13 \
+ --includedir=/usr/include/fltk13 \
+ --datadir=/usr/share/fltk13 \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-gl \
+ --enable-largefile \
+ --enable-shared \
+ --enable-threads \
+ --enable-xinerama \
+ --enable-xft \
+ --enable-xdbe \
+ --${CAIRO_FLAG}able-cairo \
+ --build=$ARCH-slackware-linux
+
+# but not here... :)
+make docdir=/usr/doc/$PRGNAM-$VERSION
+make install docdir=/usr/doc/$PRGNAM-$VERSION DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Some files are to be manually renamed so they do not conflict with fltk(1.1.x)'s ones
+mv $PKG/usr/bin/fluid $PKG/usr/bin/fluid13
+mv $PKG/usr/bin/fltk-config $PKG/usr/bin/fltk13-config
+mv $PKG/usr/man/man1/fluid.1 $PKG/usr/man/man1/fluid13.1
+mv $PKG/usr/man/man1/fltk-config.1 $PKG/usr/man/man1/fltk13-config.1
+mv $PKG/usr/man/man3/fltk.3 $PKG/usr/man/man3/fltk13.3
+# Change some reference in man files
+sed -i "s|fluid|fluid13|g" $PKG/usr/man/man[1,3]/*
+sed -i "s|fltk|fltk13|g" $PKG/usr/man/man[1,3]/*
+sed -i "s|www.fltk13.org|www.fltk.org|g" $PKG/usr/man/man[1,3]/*
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Remove catman directories :)
+rm -rf $PKG/usr/man/cat{1,3}
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
+#mv $PKG/usr/share/$PRGNAM/doc/fltk/examples $PKG/usr/doc/$PRGNAM-$VERSION/
+#rm -rf $PKG/usr/share
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/fltk13/fltk13.info b/libraries/fltk13/fltk13.info
new file mode 100644
index 0000000000..edf0c74d84
--- /dev/null
+++ b/libraries/fltk13/fltk13.info
@@ -0,0 +1,10 @@
+PRGNAM="fltk13"
+VERSION="1.3.x_r9204"
+HOMEPAGE="http://www.fltk.org"
+DOWNLOAD="http://ftp.funet.fi/pub/mirrors/ftp.easysw.com/pub/fltk/snapshots/fltk-1.3.x-r9204.tar.bz2"
+MD5SUM="14dd56030afd1f748011f58b1e71040b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="LukenShiro"
+EMAIL="lukenshiro@ngi.it"
+APPROVED="rworkman"
diff --git a/libraries/fltk13/slack-desc b/libraries/fltk13/slack-desc
new file mode 100644
index 0000000000..c648d7b4b5
--- /dev/null
+++ b/libraries/fltk13/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fltk13: FLTK (Fast Light Tool Kit 1.3.x series)
+fltk13:
+fltk13: The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a
+fltk13: a cross-platform C++ GUI toolkit for UNIX(r)/Linux(r) (X11),
+fltk13: Microsoft(r) Windows(r), and MacOS(r) X. FLTK provides
+fltk13: modern GUI functionality without the bloat and supports 3D
+fltk13: graphics via OpenGL(r) and its built-in GLUT emulation. It
+fltk13: was originally developed by Mr. Bill Spitzak and is
+fltk13: currently maintained by a small group of developers across
+fltk13: the world with a central repository in the US.
+fltk13: